<?php

App::uses('AppHelper', 'View/Helper');

class CustomFieldsDataHelper extends AppHelper {

	/**
	 * inject the tab into the form
	 *
	 */
	public function injectAdminForm() {
		//Check that there are custom data fields to add before displaying the tab
		$customDataTabClass = 'custom-fields-section';
		$data = $this->_View->data;
		if (empty($data['CustomFieldData'])) {
			$customDataTabClass .= ' hidden';
		}

		echo '<div class="' . $customDataTabClass . '">';
			echo '<div class="tab__content custom-field-data" data-title="Custom Fields"></div>';
		echo '</div>';

		if (! empty($this->_View->viewVars['cfValidationErrors'])) {

			echo $this->Html->scriptBlock("
				$(document).ready(function() {
					$('body').data('cf-validation', '" . $this->_View->viewVars['cfValidationErrors'] . "');
				});
			", array('inline' => false));
		}
	}
}
